%global __provides_exclude perl\\(Test::(More|Builder)\\)
%global __requires_exclude_from %{_docdir}/%{name}

%define with_guile 0
%define with_ocaml 0
%define with_mono 0

Name:		swig
Epoch:		1
Version:	4.0.2
%define 	subrel 1
Release:	%mkrel 1
Summary:	Simplified Wrapper and Interface Generator (SWIG)
License:	BSD-like
Group:		Development/Other
URL:		https://www.swig.org
Source0:	https://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	bison
BuildRequires:	imake

#
# Testing patches
# P200 -> ...
# https://github.com/swig/swig/pull/1978
Patch201: 0001-Add-initial-support-for-PHP8.patch
Patch202: 0002-Temporary-hack-so-testsuite-passes-for-PHP8.patch

%if %{with_guile}
BuildRequires:	guile-devel
%endif

%if %{with_ocaml}
BuildRequires:	ocaml
%endif

BuildRequires:	pkgconfig(lua)

%if %{with_mono}
BuildRequires:	mono
BuildRequires:	mono-devel
%endif

BuildRequires:	pkgconfig(libpcre)
BuildRequires:	libstdc++-devel
BuildRequires:	boost-devel
BuildRequires:	perl-devel
BuildRequires:	php-devel
BuildRequires:	python3-devel
BuildRequires:	pkgconfig(ruby)
BuildRequires:	pkgconfig(tcl)
BuildRequires:	automake
BuildRequires:	autoconf2.5
Obsoletes:	swig-devel

%description
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

%package doc
Summary:	Documentation and examples for %{name}
Group:		Development/C
BuildArch:	noarch
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description doc
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

Install the %{name}-doc package if you want to look at example and
documentation.

%prep
%autosetup -p1

./autogen.sh
%build
%configure
%make_build

%install
%make_install

# Remove all arch dependent files in Examples/
find %{buildroot} -type f -name 'Makefile.in' -delete -print

# We don't want to ship files below.
find %{buildroot} -type f -name '*.dsp' -delete -print
find %{buildroot} -type f -name '*.dsw' -delete -print

%files
%doc ANNOUNCE CHANGES CHANGES.current README TODO
%license LICENSE
%{_bindir}/swig
%{_bindir}/ccache-swig
%{_datadir}/swig

%files doc
%doc Examples Doc/Manual


%changelog
* Sat Apr 03 2021 neoclust <neoclust> 1:4.0.2-1.1.mga8
+ Revision: 1712921
- Add php8 support in swig

* Tue Nov 03 2020 akien <akien> 1:4.0.2-1.mga8
+ Revision: 1642240
- Version 4.0.2
+ wally <wally>
- add upstream patch to move new macros for Ruby to their dedicated namespace
- add upstream patch to fix missing field initializers warning with python3.8

* Tue Mar 03 2020 daviddavid <daviddavid> 1:4.0.1-3.mga8
+ Revision: 1553371
- add support for Ruby 2.7
- fix code generated for Ruby global variables

* Sun Feb 16 2020 umeabot <umeabot> 1:4.0.1-2.mga8
+ Revision: 1531003
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 08 2019 wally <wally> 1:4.0.1-1.mga8
+ Revision: 1438402
- new version 4.0.1
- rebuild for python3.8 support

* Wed Mar 06 2019 eatdirt <eatdirt> 1:3.0.12-4.mga7
+ Revision: 1371813
- Fix format security issues for octave-5.1

* Sun Sep 23 2018 umeabot <umeabot> 1:3.0.12-3.mga7
+ Revision: 1301264
- Mageia 7 Mass Rebuild

* Mon May 14 2018 eatdirt <eatdirt> 1:3.0.12-2.mga7
+ Revision: 1229567
- Add support for octave-4.4

* Sun Jan 29 2017 akien <akien> 1:3.0.12-1.mga6
+ Revision: 1084151
- Version 3.0.12

* Sat Jan 14 2017 luigiwalser <luigiwalser> 1:3.0.11-1.mga6
+ Revision: 1081682
- 3.0.11
- also BR python3-devel

* Sat Dec 03 2016 eatdirt <eatdirt> 1:3.0.10-2.mga6
+ Revision: 1071796
- Fix a few API breaks by octave-4.2.0

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1:3.0.10-1.mga6
+ Revision: 1045563
- 3.0.10

* Mon Jan 25 2016 luigiwalser <luigiwalser> 1:3.0.8-1.mga6
+ Revision: 927290
- man pages are no longer built
- 3.0.8
- remove upstream patch
- add patch from fedora to fix build on arm

* Thu Nov 12 2015 philippem <philippem> 1:3.0.7-2.mga6
+ Revision: 902918
- Patch from upstream to fix Python 3.5 issue

* Sat Sep 26 2015 wally <wally> 1:3.0.7-1.mga6
+ Revision: 883918
- new version 3.0.7
- drop unneeded patches

* Mon Jun 29 2015 joequant <joequant> 1:3.0.5-1.mga6
+ Revision: 847561
- upgrade to 3.0.5

* Wed Oct 15 2014 umeabot <umeabot> 1:3.0.2-4.mga5
+ Revision: 741239
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 wally <wally> 1:3.0.2-3.mga5
+ Revision: 724255
- exclude %%_docdir from auto-requires

* Tue Sep 16 2014 umeabot <umeabot> 1:3.0.2-2.mga5
+ Revision: 689641
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Aug 12 2014 wally <wally> 1:3.0.2-1.mga5
+ Revision: 662101
- new version 3.0.2

* Sat Mar 22 2014 wally <wally> 1:3.0.0-1.mga5
+ Revision: 606591
- new version 3.0.0

* Sat Mar 22 2014 wally <wally> 1:2.0.12-1.mga5
+ Revision: 606570
- new version 2.0.12

* Sat Oct 19 2013 umeabot <umeabot> 1:2.0.10-4.mga4
+ Revision: 535977
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 1:2.0.10-3.mga4
+ Revision: 482872
- rebuild for ruby 2.0

* Mon Jul 08 2013 fwang <fwang> 1:2.0.10-2.mga4
+ Revision: 451182
- rebuild for new boost

* Sat Jun 08 2013 tv <tv> 1:2.0.10-1.mga4
+ Revision: 440680
- new release

* Mon Jan 14 2013 umeabot <umeabot> 1:2.0.9-2.mga3
+ Revision: 383841
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 fwang <fwang> 1:2.0.9-1.mga3
+ Revision: 343642
- new version 2.0.9

* Sat Dec 01 2012 fwang <fwang> 1:2.0.8-2.mga3
+ Revision: 323850
- rebuild for new pcre

* Sat Sep 01 2012 fwang <fwang> 1:2.0.8-1.mga3
+ Revision: 286916
- new version 2.0.8

* Thu Aug 16 2012 spuhler <spuhler> 1:2.0.7-2.mga3
+ Revision: 281463
- rebuild against new boost

* Fri Jun 01 2012 pterjan <pterjan> 1:2.0.7-1.mga3
+ Revision: 252577
- Update to 2.0.7 (fixes generated code for new g++)

* Mon Mar 12 2012 fwang <fwang> 1:2.0.4-2.mga2
+ Revision: 223038
- add patch from rhbug#752054 to try fixing guile loading
- mark doc package as noarch
- new version 2.0.4
- new version 2.0.3

* Mon Feb 07 2011 spuhler <spuhler> 1:1.3.40-5.mga1
+ Revision: 48270
- increase rel to 5 to be rebuilt
- removed buildroot definition from .spec

* Thu Jan 13 2011 dmorgan <dmorgan> 1:1.3.40-4.mga1
+ Revision: 16626
- remove mdv macros
+ ahmad <ahmad>
- imported package swig


* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.40-4mdv2011.0
+ Revision: 627727
- bump release
- don't force the usage of automake1.7

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.40-3mdv2011.0
+ Revision: 607760
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.40-2mdv2010.1
+ Revision: 520237
- rebuilt for 2010.1

* Sat Sep 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.3.40-1mdv2010.0
+ Revision: 449494
- update to new version 1.3.40

* Fri Aug 07 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.3.39-1mdv2010.0
+ Revision: 411506
- Update to new version 1.3.39
- Remove patch integrated upstream

* Wed Mar 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.3.38-2mdv2009.1
+ Revision: 357221
- handle co option gracefully (patch stolen from fedora)
- spec cleanup

* Sun Feb 22 2009 Emmanuel Andry <eandry@mandriva.org> 1:1.3.38-1mdv2009.1
+ Revision: 343927
- New version 1.3.38
- drop P1, no more needed
- update files list

* Wed Dec 24 2008 Funda Wang <fwang@mandriva.org> 1:1.3.36-3mdv2009.1
+ Revision: 318392
- more patch
- fix code template

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 1:1.3.36-2mdv2009.1
+ Revision: 311086
- buildrequires lua-devel not liblua-devel (breaks on x86-64)
- rebuild for new tcl

* Tue Aug 26 2008 Funda Wang <fwang@mandriva.org> 1:1.3.36-1mdv2009.0
+ Revision: 276099
- New version 1.3.36

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1:1.3.35-3mdv2009.0
+ Revision: 265744
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Helio Chissini de Castro <helio@mandriva.com> 1:1.3.35-2mdv2009.0
+ Revision: 218193
- Added switchs for mono, ocaml and guile bindings with swig. Mono and guile fails with tests
- Obsoleted wrong devel package. Swig must be the only package

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 21 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:1.3.35-1mdv2009.0
+ Revision: 196249
- update to 1.3.35
- drop P1 & P2 (fixed upstream)

* Fri Jan 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.3.33-1mdv2008.1
+ Revision: 154641
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.31-3mdv2008.0
+ Revision: 55912
- rule out some perl provides

* Thu May 03 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:1.3.31-2mdv2008.0
+ Revision: 22054
- build with java/gcj support


* Tue Nov 28 2006 David Walluck <walluck@mandriva.org> 1.3.31-1mdv2007.0
+ Revision: 87757
- 1.3.31
- Import swig

* Thu Apr 20 2006 Jerome Martin <jmartin@mandriva.org> 1:1.3.27-3mdk
- Fixed BuildRequires for 2006.0

* Sun Apr 09 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1:1.3.27-2mdk
- drop BuildRequires: mono - in contrib

* Thu Apr 06 2006 Helio Chissini de Castro <helio@mandriva.com> 1:1.3.27-1mdk
- Revert to 1.3.27 release. No project is ready to compile against new swig. 
Subversion bindings not compile against 1.3.28 or 1.3.29 yet.

* Sun Apr 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.29-1mdk
- 1.3.29
- fix deps

* Mon Mar 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.27-3mdk
- make it backportable

* Tue Jan 24 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.27-2mdk
- remove kaffe-devel from buildrequires as it's not need nor in main anymore..
- %%mkrel

* Tue Oct 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.3.27-1mdk
- 1.3.27

* Thu Oct 06 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.3.25-1mdk
- 1.3.25
- Fix Group

* Tue Jul 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.3.24-2mdk
- Rebuild

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.24-1mdk
- 1.3.24
- do libtoolize again
- drop P0 (fixed upstream)
- libraries are no more
- pick up python libdir correctly (P1 from fedora)

* Mon Dec 20 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.3.21-6mdk
- Rebuild for new perl

* Tue Jun 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.21-5mdk 
- rebuilt with gcc v3.4.x
- use macros

* Fri Apr 16 2004 Michael Scherer <misc@mandrake.org> 1.3.21-4mdk 
- moved .so to -devel, to remove useless dependencies
- split docs from main package

* Thu Jan 15 2004 Ben Reser <ben@reser.org> 1.3.21-3mdk
- Patch to fix python support on amd64.

* Wed Jan 14 2004 Ben Reser <ben@reser.org> 1.3.21-2mdk
- devel package should require the same version-release of the main
  package.

* Wed Jan 14 2004 Ben Reser <ben@reser.org> 1.3.21-1mdk
- 1.3.21
- Remove the symlink that was causing it to ship the currently installed
  binary on the build host.  The 1.3.20 version actually had the 1.3.19
  binary in it.  And as such produced code that wouldn't build against
  the headers.
- Drop the symlink to the binary in the doc dir.
- Ship CHANGES.current, ANNOUNCE, FUTURE, NEW and TODO in the doc dir.

* Sat Jan 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.20-1mdk
- 1.3.20

